
function PositionChangedWindow()
	------------------------------------------------------------------------------------------
-- if the position changes, save the new window location
------------------------------------------------------------------------------------------
	AltHolicWindow.PositionChanged = function( sender, args )
    	local x,y = AltHolicWindow:GetPosition();
    	settings["windowPosition"]["xPos"] = x;
    	settings["windowPosition"]["yPos"] = y;
	end
end
------------------------------------------------------------------------------------------
-- event handling
------------------------------------------------------------------------------------------
function EscapeKeyHandler()
	AltHolicWindow.KeyDown=function(sender, args)
		if ( args.Action == Turbine.UI.Lotro.Action.Escape ) then
			if(settings["escEnable"]["escEnable"] == true) then
				AltHolicWindow:SetVisible(false);
				settings["isWindowVisible"]["isWindowVisible"] = false;
			end
			settings["isShowBagVisible"]["isShowBagVisible"] = false;
			UIShowBag:SetVisible(false);
		end
	
		-- https://www.lotro.com/forums/showthread.php?493466-How-to-hide-a-window-on-F12&p=6581962#post6581962
		if ( args.Action == 268435635 ) then
			hudVisible=not hudVisible;
			if hudVisible then
				AltHolicWindow:SetVisible(false);
				MainMinimizedIcon:SetVisible(false);
			else
				AltHolicWindow:SetVisible(settings.isWindowVisible);
				MainMinimizedIcon:SetVisible(true);
			end
		end
	end
end

------------------------------------------------------------------------------------------
-- display the list of command
------------------------------------------------------------------------------------------
function commandsHelp()
	notification(
		rgb["start"] .. 
		Strings.PluginHelp1 ..
		rgb["clear"] ..
		Strings.PluginHelp2 ..
		Strings.PluginHelp3 ..
		Strings.PluginHelp4 ..
		Strings.PluginHelp5 ..
		Strings.PluginHelp6 
	);
end

function UpdateMainWindow()
	local player = Turbine.Gameplay.LocalPlayer.GetInstance();
	local playerName = player:GetName();

	AltHolicWindow:SetVisible(false);
	if(settings["nameAccount"]["account1"]["nbrAlt"] == 0 or settings["nameAccount"]["account1"]["isVisible"] == false)then
		CreateMainWindow(350, 150);
		AltHolicWindow:SetVisible(true);
	else
		winHeight = (settings["nameAccount"]["account1"]["nbrAlt"] * 46) + 150;
		if(winHeight < 150)then
			winHeight = 200;
		end
		SaveCharacterDatas(playerName);
		CreateMainWindow(350, winHeight);
		AltHolicWindow:SetVisible(true);
	end
end

function DisplayEquipment(posx, posy, namePlayerToshow)
	local equipMent = Turbine.Gameplay.LocalPlayer:GetInstance():GetEquipment();
	local equip = { };

	local nbrItems = 0;
	for i=1, 20 do
		equip[i] = equipMent:GetItem(i);
	end

	buttonDefineHouseLocationPersonalFaux2 = Turbine.UI.Extensions.SimpleWindow();
	buttonDefineHouseLocationPersonalFaux2:SetParent( AltHolicWindow );
	buttonDefineHouseLocationPersonalFaux2:SetPosition(posx, posy);
	buttonDefineHouseLocationPersonalFaux2:SetSize( 32, 32 );
	buttonDefineHouseLocationPersonalFaux2:SetVisible(true);
	buttonDefineHouseLocationPersonalFaux2:SetZOrder(30);

	buttonDefineHouseLocationPersonalFaux2.MouseEnter = function()
		SaveEquipment();
		CreateUIShowEquip(namePlayerToshow);
		UIShowEquip:SetVisible(true);
	end

	buttonDefineHouseLocationPersonalFaux2.MouseLeave = function()
		UIShowEquip:SetVisible(false);
	end
end

function DisplaySmallLabel(i, posx, posy, texte)
	buttonDefineHouseLocationPersonalFaux = Turbine.UI.Extensions.SimpleWindow();
	buttonDefineHouseLocationPersonalFaux:SetParent( AltHolicWindow );
	buttonDefineHouseLocationPersonalFaux:SetPosition(posx, posy);
	buttonDefineHouseLocationPersonalFaux:SetSize( 45, 45 );
	buttonDefineHouseLocationPersonalFaux:SetVisible(true);
	buttonDefineHouseLocationPersonalFaux:SetZOrder(19);

	ButtonPlusLab[i] = Turbine.UI.Extensions.SimpleWindow();
	ButtonPlusLab[i]:SetParent( AltHolicWindow );
	ButtonPlusLab[i]:SetPosition(posx + 50 , posy + 7);
	ButtonPlusLab[i]:SetSize( 180, 30 );
	ButtonPlusLab[i]:SetVisible(false);
	ButtonPlusLab[i]:SetZOrder(20);
	ButtonPlusLab[i]:SetBackground(ResourcePath .. "/Cadre_180_30.tga");

	centerLabelBLab[i] = Turbine.UI.Label();
	centerLabelBLab[i]:SetParent(ButtonPlusLab[i]);
	centerLabelBLab[i]:SetPosition( 2, 2 );
	centerLabelBLab[i]:SetSize( 176, 26  );
	centerLabelBLab[i]:SetFont(Turbine.UI.Lotro.Font.Verdana20);
	centerLabelBLab[i]:SetText( texte );
	centerLabelBLab[i]:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	centerLabelBLab[i]:SetZOrder(21);
	centerLabelBLab[i]:SetBackColor( Turbine.UI.Color( .8, .1, .4, .9) );

	buttonDefineHouseLocationPersonalFaux.MouseEnter = function()
		ButtonPlusLab[i]:SetVisible(true);
	end

	buttonDefineHouseLocationPersonalFaux.MouseLeave = function()
		ButtonPlusLab[i]:SetVisible(false);
	end
end
------------------------------------------------------------------------------------------
-- Closing window handler
------------------------------------------------------------------------------------------
function ClosingTheWindow()
	function AltHolicWindow:Closing(sender, args)
		settings["isWindowVisible"]["isWindowVisible"] = false;
	end
end
function UpdateLvl(playerName)
	local currentLvl = 0;
	local player = Turbine.Gameplay.LocalPlayer.GetInstance();
	local lvlplayer = player:GetLevel();
	local altNumber = 0;

	for i=1, settings["nameAccount"]["account1"]["nbrAlt"] do 
		if(settings["nameAlts"]["alts" .. i]["name"] == playerName)then
			currentLvl = settings["nameAlts"]["alts" .. i]["lvl"];
			altNumber = i;
		end
	end

	if(altNumber ~= 0)then
		if(currentLvl < lvlplayer)then
			settings["nameAlts"]["alts" .. altNumber]["lvl"] = lvlplayer;
			settings["nameAccount"]["account1"]["isVisible"] = true;
			UpdateMainWindow();
		end
	end
end

function UpdateCash(playerName)
	local currentCash = 0;
	local player = Turbine.Gameplay.LocalPlayer.GetInstance();
	local playerAttr = player:GetAttributes();
	local cash =  playerAttr:GetMoney();
	local altNumber = 0;
	local totalCash = 0;

	for i=1, settings["nameAccount"]["account1"]["nbrAlt"] do 
		if(settings["nameAlts"]["alts" .. i]["name"] == playerName)then
			currentCash = settings["nameAlts"]["alts" .. i]["cash"];
			altNumber = i;
		end
	end

	if(settings["nameAccount"]["account1"]["nbrAlt"] >= 1)then
		if(currentCash < cash)then
			settings["nameAlts"]["alts" .. altNumber]["cash"] = cash;
			settings["nameAccount"]["account1"]["isVisible"] = false;
			UpdateMainWindow();
		end
	end
end

function ClearEquipment()
	local player = Turbine.Gameplay.LocalPlayer.GetInstance();
	local playerName = player:GetName();

	for i=1, settings["nameAccount"]["account1"]["nbrAlt"] do
		--Turbine.Shell.WriteLine("saving equipment for alts : " .. i);

		if(settings["nameAlts"]["alts" .. i]["name"] == playerName)then
			settings["nameAlts"]["alts" .. i]["equipment"]["back"]["Q"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["back"]["B"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["back"]["U"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["back"]["S"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["back"]["I"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["back"]["N"] = "";
			settings["nameAlts"]["alts" .. i]["equipment"]["back"]["QA"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["back"]["CAT"] = 0;

			settings["nameAlts"]["alts" .. i]["equipment"]["Boots"]["Q"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Boots"]["B"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Boots"]["U"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Boots"]["S"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Boots"]["I"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Boots"]["N"] = "";
			settings["nameAlts"]["alts" .. i]["equipment"]["Boots"]["QA"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Boots"]["CAT"] = 0;

			settings["nameAlts"]["alts" .. i]["equipment"]["Bracelet1"]["Q"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Bracelet1"]["B"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Bracelet1"]["U"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Bracelet1"]["S"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Bracelet1"]["I"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Bracelet1"]["N"] = "";
			settings["nameAlts"]["alts" .. i]["equipment"]["Bracelet1"]["QA"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Bracelet1"]["CAT"] = 0;

			settings["nameAlts"]["alts" .. i]["equipment"]["Bracelet2"]["Q"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Bracelet2"]["B"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Bracelet2"]["U"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Bracelet2"]["S"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Bracelet2"]["I"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Bracelet2"]["N"] = "";
			settings["nameAlts"]["alts" .. i]["equipment"]["Bracelet2"]["QA"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Bracelet2"]["CAT"] = 0;

			settings["nameAlts"]["alts" .. i]["equipment"]["Chest"]["Q"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Chest"]["B"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Chest"]["U"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Chest"]["S"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Chest"]["I"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Chest"]["N"] = "";
			settings["nameAlts"]["alts" .. i]["equipment"]["Chest"]["QA"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Chest"]["CAT"] = 0;

			settings["nameAlts"]["alts" .. i]["equipment"]["Class"]["Q"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Class"]["B"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Class"]["U"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Class"]["S"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Class"]["I"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Class"]["N"] = "";
			settings["nameAlts"]["alts" .. i]["equipment"]["Class"]["QA"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Class"]["CAT"] = 0;

			settings["nameAlts"]["alts" .. i]["equipment"]["CraftTool"]["Q"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["CraftTool"]["B"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["CraftTool"]["U"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["CraftTool"]["S"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["CraftTool"]["I"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["CraftTool"]["N"] = "";
			settings["nameAlts"]["alts" .. i]["equipment"]["CraftTool"]["QA"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["CraftTool"]["CAT"] = 0;

			settings["nameAlts"]["alts" .. i]["equipment"]["Earring1"]["Q"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Earring1"]["B"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Earring1"]["U"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Earring1"]["S"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Earring1"]["I"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Earring1"]["N"] = "";
			settings["nameAlts"]["alts" .. i]["equipment"]["Earring1"]["QA"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Earring1"]["CAT"] = 0;

			settings["nameAlts"]["alts" .. i]["equipment"]["Earring2"]["Q"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Earring2"]["B"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Earring2"]["U"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Earring2"]["S"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Earring2"]["I"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Earring2"]["N"] = "";
			settings["nameAlts"]["alts" .. i]["equipment"]["Earring2"]["QA"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Earring2"]["CAT"] = 0;

			settings["nameAlts"]["alts" .. i]["equipment"]["Gloves"]["Q"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Gloves"]["B"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Gloves"]["U"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Gloves"]["S"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Gloves"]["I"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Gloves"]["N"] = "";
			settings["nameAlts"]["alts" .. i]["equipment"]["Gloves"]["QA"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Gloves"]["CAT"] = 0;

			settings["nameAlts"]["alts" .. i]["equipment"]["Head"]["Q"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Head"]["B"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Head"]["U"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Head"]["S"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Head"]["I"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Head"]["N"] = "";
			settings["nameAlts"]["alts" .. i]["equipment"]["Head"]["QA"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Head"]["CAT"] = 0;

			settings["nameAlts"]["alts" .. i]["equipment"]["Instrument"]["Q"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Instrument"]["B"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Instrument"]["U"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Instrument"]["S"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Instrument"]["I"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Instrument"]["N"] = "";
			settings["nameAlts"]["alts" .. i]["equipment"]["Instrument"]["QA"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Instrument"]["CAT"] = 0;

			settings["nameAlts"]["alts" .. i]["equipment"]["Legs"]["Q"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Legs"]["B"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Legs"]["U"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Legs"]["S"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Legs"]["I"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Legs"]["N"] = "";
			settings["nameAlts"]["alts" .. i]["equipment"]["Legs"]["QA"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Legs"]["CAT"] = 0;
			
			settings["nameAlts"]["alts" .. i]["equipment"]["Necklace"]["Q"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Necklace"]["B"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Necklace"]["U"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Necklace"]["S"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Necklace"]["I"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Necklace"]["N"] = "";
			settings["nameAlts"]["alts" .. i]["equipment"]["Necklace"]["QA"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Necklace"]["CAT"] = 0;

			settings["nameAlts"]["alts" .. i]["equipment"]["Pocket"]["Q"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Pocket"]["B"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Pocket"]["U"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Pocket"]["S"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Pocket"]["I"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Pocket"]["N"] = "";
			settings["nameAlts"]["alts" .. i]["equipment"]["Pocket"]["QA"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Pocket"]["CAT"] = 0;

			settings["nameAlts"]["alts" .. i]["equipment"]["PrimaryWeapon"]["Q"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["PrimaryWeapon"]["B"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["PrimaryWeapon"]["U"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["PrimaryWeapon"]["S"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["PrimaryWeapon"]["I"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["PrimaryWeapon"]["N"] = "";
			settings["nameAlts"]["alts" .. i]["equipment"]["PrimaryWeapon"]["QA"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["PrimaryWeapon"]["CAT"] = 0;

			settings["nameAlts"]["alts" .. i]["equipment"]["RangedWeapon"]["Q"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["RangedWeapon"]["B"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["RangedWeapon"]["U"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["RangedWeapon"]["S"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["RangedWeapon"]["I"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["RangedWeapon"]["N"] = "";
			settings["nameAlts"]["alts" .. i]["equipment"]["RangedWeapon"]["QA"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["RangedWeapon"]["CAT"] = 0;

			settings["nameAlts"]["alts" .. i]["equipment"]["Ring1"]["Q"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Ring1"]["B"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Ring1"]["U"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Ring1"]["S"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Ring1"]["I"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Ring1"]["N"] = "";
			settings["nameAlts"]["alts" .. i]["equipment"]["Ring1"]["QA"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Ring1"]["CAT"] = 0;

			settings["nameAlts"]["alts" .. i]["equipment"]["Ring2"]["Q"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Ring2"]["B"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Ring2"]["U"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Ring2"]["S"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Ring2"]["I"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Ring2"]["N"] = "";
			settings["nameAlts"]["alts" .. i]["equipment"]["Ring2"]["QA"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Ring2"]["CAT"] = 0;

			settings["nameAlts"]["alts" .. i]["equipment"]["SecondaryWeapon"]["Q"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["SecondaryWeapon"]["B"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["SecondaryWeapon"]["U"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["SecondaryWeapon"]["S"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["SecondaryWeapon"]["I"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["SecondaryWeapon"]["N"] = "";
			settings["nameAlts"]["alts" .. i]["equipment"]["SecondaryWeapon"]["QA"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["SecondaryWeapon"]["CAT"] = 0;

			settings["nameAlts"]["alts" .. i]["equipment"]["Shield"]["Q"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Shield"]["B"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Shield"]["U"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Shield"]["S"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Shield"]["I"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Shield"]["N"] = "";
			settings["nameAlts"]["alts" .. i]["equipment"]["Shield"]["QA"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Shield"]["CAT"] = 0;

			settings["nameAlts"]["alts" .. i]["equipment"]["Shoulder"]["Q"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Shoulder"]["B"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Shoulder"]["U"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Shoulder"]["S"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Shoulder"]["I"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Shoulder"]["N"] = "";
			settings["nameAlts"]["alts" .. i]["equipment"]["Shoulder"]["QA"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Shoulder"]["CAT"] = 0;
		end
	end
end

function ClearAll()
	for i=1, settings["nameAccount"]["account1"]["nbrAlt"] do
			settings["nameAlts"]["alts" .. i]["equipment"]["back"]["Q"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["back"]["B"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["back"]["U"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["back"]["S"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["back"]["I"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["back"]["N"] = "";
			settings["nameAlts"]["alts" .. i]["equipment"]["back"]["QA"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["back"]["CAT"] = 0;

			settings["nameAlts"]["alts" .. i]["equipment"]["Boots"]["Q"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Boots"]["B"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Boots"]["U"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Boots"]["S"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Boots"]["I"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Boots"]["N"] = "";
			settings["nameAlts"]["alts" .. i]["equipment"]["Boots"]["QA"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Boots"]["CAT"] = 0;

			settings["nameAlts"]["alts" .. i]["equipment"]["Bracelet1"]["Q"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Bracelet1"]["B"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Bracelet1"]["U"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Bracelet1"]["S"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Bracelet1"]["I"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Bracelet1"]["N"] = "";
			settings["nameAlts"]["alts" .. i]["equipment"]["Bracelet1"]["QA"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Bracelet1"]["CAT"] = 0;

			settings["nameAlts"]["alts" .. i]["equipment"]["Bracelet2"]["Q"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Bracelet2"]["B"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Bracelet2"]["U"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Bracelet2"]["S"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Bracelet2"]["I"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Bracelet2"]["N"] = "";
			settings["nameAlts"]["alts" .. i]["equipment"]["Bracelet2"]["QA"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Bracelet2"]["CAT"] = 0;

			settings["nameAlts"]["alts" .. i]["equipment"]["Chest"]["Q"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Chest"]["B"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Chest"]["U"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Chest"]["S"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Chest"]["I"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Chest"]["N"] = "";
			settings["nameAlts"]["alts" .. i]["equipment"]["Chest"]["QA"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Chest"]["CAT"] = 0;

			settings["nameAlts"]["alts" .. i]["equipment"]["Class"]["Q"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Class"]["B"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Class"]["U"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Class"]["S"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Class"]["I"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Class"]["N"] = "";
			settings["nameAlts"]["alts" .. i]["equipment"]["Class"]["QA"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Class"]["CAT"] = 0;

			settings["nameAlts"]["alts" .. i]["equipment"]["CraftTool"]["Q"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["CraftTool"]["B"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["CraftTool"]["U"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["CraftTool"]["S"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["CraftTool"]["I"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["CraftTool"]["N"] = "";
			settings["nameAlts"]["alts" .. i]["equipment"]["CraftTool"]["QA"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["CraftTool"]["CAT"] = 0;

			settings["nameAlts"]["alts" .. i]["equipment"]["Earring1"]["Q"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Earring1"]["B"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Earring1"]["U"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Earring1"]["S"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Earring1"]["I"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Earring1"]["N"] = "";
			settings["nameAlts"]["alts" .. i]["equipment"]["Earring1"]["QA"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Earring1"]["CAT"] = 0;

			settings["nameAlts"]["alts" .. i]["equipment"]["Earring2"]["Q"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Earring2"]["B"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Earring2"]["U"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Earring2"]["S"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Earring2"]["I"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Earring2"]["N"] = "";
			settings["nameAlts"]["alts" .. i]["equipment"]["Earring2"]["QA"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Earring2"]["CAT"] = 0;

			settings["nameAlts"]["alts" .. i]["equipment"]["Gloves"]["Q"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Gloves"]["B"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Gloves"]["U"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Gloves"]["S"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Gloves"]["I"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Gloves"]["N"] = "";
			settings["nameAlts"]["alts" .. i]["equipment"]["Gloves"]["QA"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Gloves"]["CAT"] = 0;

			settings["nameAlts"]["alts" .. i]["equipment"]["Head"]["Q"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Head"]["B"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Head"]["U"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Head"]["S"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Head"]["I"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Head"]["N"] = "";
			settings["nameAlts"]["alts" .. i]["equipment"]["Head"]["QA"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Head"]["CAT"] = 0;

			settings["nameAlts"]["alts" .. i]["equipment"]["Instrument"]["Q"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Instrument"]["B"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Instrument"]["U"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Instrument"]["S"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Instrument"]["I"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Instrument"]["N"] = "";
			settings["nameAlts"]["alts" .. i]["equipment"]["Instrument"]["QA"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Instrument"]["CAT"] = 0;

			settings["nameAlts"]["alts" .. i]["equipment"]["Legs"]["Q"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Legs"]["B"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Legs"]["U"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Legs"]["S"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Legs"]["I"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Legs"]["N"] = "";
			settings["nameAlts"]["alts" .. i]["equipment"]["Legs"]["QA"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Legs"]["CAT"] = 0;
			
			settings["nameAlts"]["alts" .. i]["equipment"]["Necklace"]["Q"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Necklace"]["B"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Necklace"]["U"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Necklace"]["S"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Necklace"]["I"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Necklace"]["N"] = "";
			settings["nameAlts"]["alts" .. i]["equipment"]["Necklace"]["QA"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Necklace"]["CAT"] = 0;

			settings["nameAlts"]["alts" .. i]["equipment"]["Pocket"]["Q"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Pocket"]["B"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Pocket"]["U"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Pocket"]["S"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Pocket"]["I"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Pocket"]["N"] = "";
			settings["nameAlts"]["alts" .. i]["equipment"]["Pocket"]["QA"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Pocket"]["CAT"] = 0;

			settings["nameAlts"]["alts" .. i]["equipment"]["PrimaryWeapon"]["Q"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["PrimaryWeapon"]["B"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["PrimaryWeapon"]["U"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["PrimaryWeapon"]["S"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["PrimaryWeapon"]["I"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["PrimaryWeapon"]["N"] = "";
			settings["nameAlts"]["alts" .. i]["equipment"]["PrimaryWeapon"]["QA"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["PrimaryWeapon"]["CAT"] = 0;

			settings["nameAlts"]["alts" .. i]["equipment"]["RangedWeapon"]["Q"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["RangedWeapon"]["B"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["RangedWeapon"]["U"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["RangedWeapon"]["S"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["RangedWeapon"]["I"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["RangedWeapon"]["N"] = "";
			settings["nameAlts"]["alts" .. i]["equipment"]["RangedWeapon"]["QA"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["RangedWeapon"]["CAT"] = 0;

			settings["nameAlts"]["alts" .. i]["equipment"]["Ring1"]["Q"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Ring1"]["B"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Ring1"]["U"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Ring1"]["S"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Ring1"]["I"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Ring1"]["N"] = "";
			settings["nameAlts"]["alts" .. i]["equipment"]["Ring1"]["QA"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Ring1"]["CAT"] = 0;

			settings["nameAlts"]["alts" .. i]["equipment"]["Ring2"]["Q"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Ring2"]["B"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Ring2"]["U"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Ring2"]["S"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Ring2"]["I"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Ring2"]["N"] = "";
			settings["nameAlts"]["alts" .. i]["equipment"]["Ring2"]["QA"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Ring2"]["CAT"] = 0;

			settings["nameAlts"]["alts" .. i]["equipment"]["SecondaryWeapon"]["Q"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["SecondaryWeapon"]["B"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["SecondaryWeapon"]["U"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["SecondaryWeapon"]["S"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["SecondaryWeapon"]["I"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["SecondaryWeapon"]["N"] = "";
			settings["nameAlts"]["alts" .. i]["equipment"]["SecondaryWeapon"]["QA"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["SecondaryWeapon"]["CAT"] = 0;

			settings["nameAlts"]["alts" .. i]["equipment"]["Shield"]["Q"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Shield"]["B"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Shield"]["U"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Shield"]["S"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Shield"]["I"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Shield"]["N"] = "";
			settings["nameAlts"]["alts" .. i]["equipment"]["Shield"]["QA"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Shield"]["CAT"] = 0;

			settings["nameAlts"]["alts" .. i]["equipment"]["Shoulder"]["Q"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Shoulder"]["B"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Shoulder"]["U"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Shoulder"]["S"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Shoulder"]["I"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Shoulder"]["N"] = "";
			settings["nameAlts"]["alts" .. i]["equipment"]["Shoulder"]["QA"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Shoulder"]["CAT"] = 0;

			settings["nameAlts"]["alts" .. i]["name"] = "";
			settings["nameAlts"]["alts" .. i]["cla"] = "";
			settings["nameAlts"]["alts" .. i]["lvl"] = 0;
			settings["nameAlts"]["alts" .. i]["voc"] = 0;
			settings["nameAlts"]["alts" .. i]["rac"] = 0;
			settings["nameAlts"]["alts" .. i]["cash"] = 0;
	end

	settings["nameAccount"]["account1"]["name"] = "";
	settings["nameAccount"]["account1"]["nbrAlt"] = 0;
	settings["nameAccount"]["account1"]["isVisible"] = true;
end

function SaveEquipment()
	local player = Turbine.Gameplay.LocalPlayer.GetInstance();
	local playerName = player:GetName();
	local equipMent = player:GetEquipment();
	local equip = { };
	local playerAttr = player:GetAttributes();
	local cash =  playerAttr:GetMoney();

	for i=1, settings["nameAccount"]["account1"]["nbrAlt"] do
		if(settings["nameAlts"]["alts" .. i]["name"] == playerName)then
			settings["nameAlts"]["alts" .. i]["cash"] = cash;
		end
	end

	local nbrItems = 0;
	for i=1, 22 do
		equip[i] = equipMent:GetItem(i);
	end

	for i=1, settings["nameAccount"]["account1"]["nbrAlt"] do
		--Turbine.Shell.WriteLine("saving equipment for alts : " .. i);

		if(settings["nameAlts"]["alts" .. i]["name"] == playerName)then
			if(equip[1] ~= nil)then
				settings["nameAlts"]["alts" .. i]["equipment"]["back"]["Q"] = equip[1]:GetItemInfo():GetQualityImageID();
				settings["nameAlts"]["alts" .. i]["equipment"]["back"]["B"] = equip[1]:GetItemInfo():GetBackgroundImageID();
				settings["nameAlts"]["alts" .. i]["equipment"]["back"]["U"] = equip[1]:GetItemInfo():GetUnderlayImageID();
				settings["nameAlts"]["alts" .. i]["equipment"]["back"]["S"] = equip[1]:GetItemInfo():GetShadowImageID();
				settings["nameAlts"]["alts" .. i]["equipment"]["back"]["I"] = equip[1]:GetItemInfo():GetIconImageID();
				settings["nameAlts"]["alts" .. i]["equipment"]["back"]["N"] = equip[1]:GetItemInfo():GetName();
				settings["nameAlts"]["alts" .. i]["equipment"]["back"]["QA"] = equip[1]:GetItemInfo():GetQuality();
				settings["nameAlts"]["alts" .. i]["equipment"]["back"]["CAT"] = equip[1]:GetItemInfo():GetCategory();
			end
			if(equip[2] ~= nil)then
			settings["nameAlts"]["alts" .. i]["equipment"]["Boots"]["Q"] = equip[2]:GetItemInfo():GetQualityImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Boots"]["B"] = equip[2]:GetItemInfo():GetBackgroundImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Boots"]["U"] = equip[2]:GetItemInfo():GetUnderlayImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Boots"]["S"] = equip[2]:GetItemInfo():GetShadowImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Boots"]["I"] = equip[2]:GetItemInfo():GetIconImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Boots"]["N"] = equip[2]:GetItemInfo():GetName();
			settings["nameAlts"]["alts" .. i]["equipment"]["Boots"]["QA"] = equip[2]:GetItemInfo():GetQuality();
			settings["nameAlts"]["alts" .. i]["equipment"]["Boots"]["CAT"] = equip[2]:GetItemInfo():GetCategory();
			end
			if(equip[3] ~= nil)then
			settings["nameAlts"]["alts" .. i]["equipment"]["Bracelet1"]["Q"] = equip[3]:GetItemInfo():GetQualityImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Bracelet1"]["B"] = equip[3]:GetItemInfo():GetBackgroundImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Bracelet1"]["U"] = equip[3]:GetItemInfo():GetUnderlayImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Bracelet1"]["S"] = equip[3]:GetItemInfo():GetShadowImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Bracelet1"]["I"] = equip[3]:GetItemInfo():GetIconImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Bracelet1"]["N"] = equip[3]:GetItemInfo():GetName();
			settings["nameAlts"]["alts" .. i]["equipment"]["Bracelet1"]["QA"] = equip[3]:GetItemInfo():GetQuality();
			settings["nameAlts"]["alts" .. i]["equipment"]["Bracelet1"]["CAT"] = equip[3]:GetItemInfo():GetCategory();
			end
			if(equip[4] ~= nil)then
			settings["nameAlts"]["alts" .. i]["equipment"]["Bracelet2"]["Q"] = equip[4]:GetItemInfo():GetQualityImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Bracelet2"]["B"] = equip[4]:GetItemInfo():GetBackgroundImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Bracelet2"]["U"] = equip[4]:GetItemInfo():GetUnderlayImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Bracelet2"]["S"] = equip[4]:GetItemInfo():GetShadowImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Bracelet2"]["I"] = equip[4]:GetItemInfo():GetIconImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Bracelet2"]["N"] = equip[4]:GetItemInfo():GetName();
			settings["nameAlts"]["alts" .. i]["equipment"]["Bracelet2"]["QA"] = equip[4]:GetItemInfo():GetQuality();
			settings["nameAlts"]["alts" .. i]["equipment"]["Bracelet2"]["CAT"] = equip[4]:GetItemInfo():GetCategory();
			end
			if(equip[5] ~= nil)then
			settings["nameAlts"]["alts" .. i]["equipment"]["Chest"]["Q"] = equip[5]:GetItemInfo():GetQualityImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Chest"]["B"] = equip[5]:GetItemInfo():GetBackgroundImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Chest"]["U"] = equip[5]:GetItemInfo():GetUnderlayImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Chest"]["S"] = equip[5]:GetItemInfo():GetShadowImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Chest"]["I"] = equip[5]:GetItemInfo():GetIconImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Chest"]["N"] = equip[5]:GetItemInfo():GetName();
			settings["nameAlts"]["alts" .. i]["equipment"]["Chest"]["QA"] = equip[5]:GetItemInfo():GetQuality();
			settings["nameAlts"]["alts" .. i]["equipment"]["Chest"]["CAT"] = equip[5]:GetItemInfo():GetCategory();
			end
			if(equip[6] ~= nil)then
			settings["nameAlts"]["alts" .. i]["equipment"]["Class"]["Q"] = equip[6]:GetItemInfo():GetQualityImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Class"]["B"] = equip[6]:GetItemInfo():GetBackgroundImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Class"]["U"] = equip[6]:GetItemInfo():GetUnderlayImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Class"]["S"] = equip[6]:GetItemInfo():GetShadowImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Class"]["I"] = equip[6]:GetItemInfo():GetIconImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Class"]["N"] = equip[6]:GetItemInfo():GetName();
			settings["nameAlts"]["alts" .. i]["equipment"]["Class"]["QA"] = equip[6]:GetItemInfo():GetQuality();
			settings["nameAlts"]["alts" .. i]["equipment"]["Class"]["CAT"] = equip[6]:GetItemInfo():GetCategory();
			end
			if(equip[7] ~= nil)then
			settings["nameAlts"]["alts" .. i]["equipment"]["CraftTool"]["Q"] = equip[7]:GetItemInfo():GetQualityImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["CraftTool"]["B"] = equip[7]:GetItemInfo():GetBackgroundImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["CraftTool"]["U"] = equip[7]:GetItemInfo():GetUnderlayImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["CraftTool"]["S"] = equip[7]:GetItemInfo():GetShadowImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["CraftTool"]["I"] = equip[7]:GetItemInfo():GetIconImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["CraftTool"]["N"] = equip[7]:GetItemInfo():GetName();
			settings["nameAlts"]["alts" .. i]["equipment"]["CraftTool"]["QA"] = equip[7]:GetItemInfo():GetQuality();
			settings["nameAlts"]["alts" .. i]["equipment"]["CraftTool"]["CAT"] = equip[7]:GetItemInfo():GetCategory();
			end
			if(equip[8] ~= nil)then
			settings["nameAlts"]["alts" .. i]["equipment"]["Earring1"]["Q"] = equip[8]:GetItemInfo():GetQualityImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Earring1"]["B"] = equip[8]:GetItemInfo():GetBackgroundImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Earring1"]["U"] = equip[8]:GetItemInfo():GetUnderlayImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Earring1"]["S"] = equip[8]:GetItemInfo():GetShadowImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Earring1"]["I"] = equip[8]:GetItemInfo():GetIconImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Earring1"]["N"] = equip[8]:GetItemInfo():GetName();
			settings["nameAlts"]["alts" .. i]["equipment"]["Earring1"]["QA"] = equip[8]:GetItemInfo():GetQuality();
			settings["nameAlts"]["alts" .. i]["equipment"]["Earring1"]["CAT"] = equip[8]:GetItemInfo():GetCategory();
			end
			if(equip[9] ~= nil)then
			settings["nameAlts"]["alts" .. i]["equipment"]["Earring2"]["Q"] = equip[9]:GetItemInfo():GetQualityImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Earring2"]["B"] = equip[9]:GetItemInfo():GetBackgroundImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Earring2"]["U"] = equip[9]:GetItemInfo():GetUnderlayImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Earring2"]["S"] = equip[9]:GetItemInfo():GetShadowImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Earring2"]["I"] = equip[9]:GetItemInfo():GetIconImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Earring2"]["N"] = equip[9]:GetItemInfo():GetName();
			settings["nameAlts"]["alts" .. i]["equipment"]["Earring2"]["QA"] = equip[9]:GetItemInfo():GetQuality();
			settings["nameAlts"]["alts" .. i]["equipment"]["Earring2"]["CAT"] = equip[9]:GetItemInfo():GetCategory();
			end
			if(equip[10] ~= nil)then
			settings["nameAlts"]["alts" .. i]["equipment"]["Gloves"]["Q"] = equip[10]:GetItemInfo():GetQualityImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Gloves"]["B"] = equip[10]:GetItemInfo():GetBackgroundImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Gloves"]["U"] = equip[10]:GetItemInfo():GetUnderlayImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Gloves"]["S"] = equip[10]:GetItemInfo():GetShadowImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Gloves"]["I"] = equip[10]:GetItemInfo():GetIconImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Gloves"]["N"] = equip[10]:GetItemInfo():GetName();
			settings["nameAlts"]["alts" .. i]["equipment"]["Gloves"]["QA"] = equip[10]:GetItemInfo():GetQuality();
			settings["nameAlts"]["alts" .. i]["equipment"]["Gloves"]["CAT"] = equip[10]:GetItemInfo():GetCategory();
			end
			if(equip[11] ~= nil)then
			settings["nameAlts"]["alts" .. i]["equipment"]["Head"]["Q"] = equip[11]:GetItemInfo():GetQualityImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Head"]["B"] = equip[11]:GetItemInfo():GetBackgroundImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Head"]["U"] = equip[11]:GetItemInfo():GetUnderlayImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Head"]["S"] = equip[11]:GetItemInfo():GetShadowImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Head"]["I"] = equip[11]:GetItemInfo():GetIconImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Head"]["N"] = equip[11]:GetItemInfo():GetName();
			settings["nameAlts"]["alts" .. i]["equipment"]["Head"]["QA"] = equip[11]:GetItemInfo():GetQuality();
			settings["nameAlts"]["alts" .. i]["equipment"]["Head"]["CAT"] = equip[11]:GetItemInfo():GetCategory();
			end
			if(equip[12] ~= nil)then
			settings["nameAlts"]["alts" .. i]["equipment"]["Instrument"]["Q"] = equip[12]:GetItemInfo():GetQualityImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Instrument"]["B"] = equip[12]:GetItemInfo():GetBackgroundImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Instrument"]["U"] = equip[12]:GetItemInfo():GetUnderlayImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Instrument"]["S"] = equip[12]:GetItemInfo():GetShadowImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Instrument"]["I"] = equip[12]:GetItemInfo():GetIconImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Instrument"]["N"] = equip[12]:GetItemInfo():GetName();
			settings["nameAlts"]["alts" .. i]["equipment"]["Instrument"]["QA"] = equip[12]:GetItemInfo():GetQuality();
			settings["nameAlts"]["alts" .. i]["equipment"]["Instrument"]["CAT"] = equip[12]:GetItemInfo():GetCategory();
			end
			if(equip[13] ~= nil)then
			settings["nameAlts"]["alts" .. i]["equipment"]["Legs"]["Q"] = equip[13]:GetItemInfo():GetQualityImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Legs"]["B"] = equip[13]:GetItemInfo():GetBackgroundImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Legs"]["U"] = equip[13]:GetItemInfo():GetUnderlayImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Legs"]["S"] = equip[13]:GetItemInfo():GetShadowImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Legs"]["I"] = equip[13]:GetItemInfo():GetIconImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Legs"]["N"] = equip[13]:GetItemInfo():GetName();
			settings["nameAlts"]["alts" .. i]["equipment"]["Legs"]["QA"] = equip[13]:GetItemInfo():GetQuality();
			settings["nameAlts"]["alts" .. i]["equipment"]["Legs"]["CAT"] = equip[13]:GetItemInfo():GetCategory();
			end
			if(equip[14] ~= nil)then
			settings["nameAlts"]["alts" .. i]["equipment"]["Necklace"]["Q"] = equip[14]:GetItemInfo():GetQualityImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Necklace"]["B"] = equip[14]:GetItemInfo():GetBackgroundImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Necklace"]["U"] = equip[14]:GetItemInfo():GetUnderlayImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Necklace"]["S"] = equip[14]:GetItemInfo():GetShadowImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Necklace"]["I"] = equip[14]:GetItemInfo():GetIconImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Necklace"]["N"] = equip[14]:GetItemInfo():GetName();
			settings["nameAlts"]["alts" .. i]["equipment"]["Necklace"]["QA"] = equip[14]:GetItemInfo():GetQuality();
			settings["nameAlts"]["alts" .. i]["equipment"]["Necklace"]["CAT"] = equip[14]:GetItemInfo():GetCategory();
			end
			if(equip[15] ~= nil)then
			settings["nameAlts"]["alts" .. i]["equipment"]["Pocket"]["Q"] = equip[15]:GetItemInfo():GetQualityImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Pocket"]["B"] = equip[15]:GetItemInfo():GetBackgroundImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Pocket"]["U"] = equip[15]:GetItemInfo():GetUnderlayImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Pocket"]["S"] = equip[15]:GetItemInfo():GetShadowImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Pocket"]["I"] = equip[15]:GetItemInfo():GetIconImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Pocket"]["N"] = equip[15]:GetItemInfo():GetName();
			settings["nameAlts"]["alts" .. i]["equipment"]["Pocket"]["QA"] = equip[15]:GetItemInfo():GetQuality();
			settings["nameAlts"]["alts" .. i]["equipment"]["Pocket"]["CAT"] = equip[15]:GetItemInfo():GetCategory();
			end
			if(equip[16] ~= nil)then
			--[[
				Turbine.Shell.WriteLine("Description for item : " .. i ..  " = " .. equip[16]:GetItemInfo():GetDescription());
				Turbine.Shell.WriteLine("category for item : " .. i ..  " = " .. equip[16]:GetItemInfo():GetCategory());
				Turbine.Shell.WriteLine("durability for item : " .. i ..  " = " .. equip[16]:GetItemInfo():GetDurability());
				Turbine.Shell.WriteLine("quality for item : " .. i ..  " = " .. equip[16]:GetItemInfo():GetQuality());
				Turbine.Shell.WriteLine("ismagic for item : " .. i ..  " = " .. tostring(equip[16]:GetItemInfo():IsMagic()));
				Turbine.Shell.WriteLine("isunique for item : " .. i ..  " = " .. tostring( equip[16]:GetItemInfo():IsUnique()));
				Turbine.Shell.WriteLine("name for item : " .. i ..  " = " .. tostring(equip[16]:GetItemInfo():GetName())); 
				]]--
			settings["nameAlts"]["alts" .. i]["equipment"]["PrimaryWeapon"]["Q"] = equip[16]:GetItemInfo():GetQualityImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["PrimaryWeapon"]["B"] = equip[16]:GetItemInfo():GetBackgroundImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["PrimaryWeapon"]["U"] = equip[16]:GetItemInfo():GetUnderlayImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["PrimaryWeapon"]["S"] = equip[16]:GetItemInfo():GetShadowImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["PrimaryWeapon"]["I"] = equip[16]:GetItemInfo():GetIconImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["PrimaryWeapon"]["N"] = equip[16]:GetItemInfo():GetName();
			settings["nameAlts"]["alts" .. i]["equipment"]["PrimaryWeapon"]["QA"] = equip[16]:GetItemInfo():GetQuality();
			settings["nameAlts"]["alts" .. i]["equipment"]["PrimaryWeapon"]["CAT"] = equip[16]:GetItemInfo():GetCategory();
			end
			if(equip[17] ~= nil)then
				settings["nameAlts"]["alts" .. i]["equipment"]["RangedWeapon"]["Q"] = equip[17]:GetItemInfo():GetQualityImageID();
				settings["nameAlts"]["alts" .. i]["equipment"]["RangedWeapon"]["B"] = equip[17]:GetItemInfo():GetBackgroundImageID();
				settings["nameAlts"]["alts" .. i]["equipment"]["RangedWeapon"]["U"] = equip[17]:GetItemInfo():GetUnderlayImageID();
				settings["nameAlts"]["alts" .. i]["equipment"]["RangedWeapon"]["S"] = equip[17]:GetItemInfo():GetShadowImageID();
				settings["nameAlts"]["alts" .. i]["equipment"]["RangedWeapon"]["I"] = equip[17]:GetItemInfo():GetIconImageID();
				settings["nameAlts"]["alts" .. i]["equipment"]["RangedWeapon"]["N"] = equip[17]:GetItemInfo():GetName();
				settings["nameAlts"]["alts" .. i]["equipment"]["RangedWeapon"]["QA"] = equip[17]:GetItemInfo():GetQuality();
				settings["nameAlts"]["alts" .. i]["equipment"]["RangedWeapon"]["CAT"] = equip[17]:GetItemInfo():GetCategory();
			end
			if(equip[18] ~= nil)then
			settings["nameAlts"]["alts" .. i]["equipment"]["Ring1"]["Q"] = equip[18]:GetItemInfo():GetQualityImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Ring1"]["B"] = equip[18]:GetItemInfo():GetBackgroundImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Ring1"]["U"] = equip[18]:GetItemInfo():GetUnderlayImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Ring1"]["S"] = equip[18]:GetItemInfo():GetShadowImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Ring1"]["I"] = equip[18]:GetItemInfo():GetIconImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Ring1"]["N"] = equip[18]:GetItemInfo():GetName();
			settings["nameAlts"]["alts" .. i]["equipment"]["Ring1"]["QA"] = equip[18]:GetItemInfo():GetQuality();
			settings["nameAlts"]["alts" .. i]["equipment"]["Ring1"]["CAT"] = equip[18]:GetItemInfo():GetCategory();
			end
			if(equip[19] ~= nil)then
				settings["nameAlts"]["alts" .. i]["equipment"]["Ring2"]["Q"] = equip[19]:GetItemInfo():GetQualityImageID();
				settings["nameAlts"]["alts" .. i]["equipment"]["Ring2"]["B"] = equip[19]:GetItemInfo():GetBackgroundImageID();
				settings["nameAlts"]["alts" .. i]["equipment"]["Ring2"]["U"] = equip[19]:GetItemInfo():GetUnderlayImageID();
				settings["nameAlts"]["alts" .. i]["equipment"]["Ring2"]["S"] = equip[19]:GetItemInfo():GetShadowImageID();
				settings["nameAlts"]["alts" .. i]["equipment"]["Ring2"]["I"] = equip[19]:GetItemInfo():GetIconImageID();
				settings["nameAlts"]["alts" .. i]["equipment"]["Ring2"]["N"] = equip[19]:GetItemInfo():GetName();
				settings["nameAlts"]["alts" .. i]["equipment"]["Ring2"]["QA"] = equip[19]:GetItemInfo():GetQuality();
				settings["nameAlts"]["alts" .. i]["equipment"]["Ring2"]["CAT"] = equip[19]:GetItemInfo():GetCategory();
			end

			if(equip[20] ~= nil)then
				settings["nameAlts"]["alts" .. i]["equipment"]["SecondaryWeapon"]["Q"] = equip[20]:GetItemInfo():GetQualityImageID();
				settings["nameAlts"]["alts" .. i]["equipment"]["SecondaryWeapon"]["B"] = equip[20]:GetItemInfo():GetBackgroundImageID();
				settings["nameAlts"]["alts" .. i]["equipment"]["SecondaryWeapon"]["U"] = equip[20]:GetItemInfo():GetUnderlayImageID();
				settings["nameAlts"]["alts" .. i]["equipment"]["SecondaryWeapon"]["S"] = equip[20]:GetItemInfo():GetShadowImageID();
				settings["nameAlts"]["alts" .. i]["equipment"]["SecondaryWeapon"]["I"] = equip[20]:GetItemInfo():GetIconImageID();
				settings["nameAlts"]["alts" .. i]["equipment"]["SecondaryWeapon"]["N"] = equip[20]:GetItemInfo():GetName();
				settings["nameAlts"]["alts" .. i]["equipment"]["SecondaryWeapon"]["QA"] = equip[20]:GetItemInfo():GetQuality();
				settings["nameAlts"]["alts" .. i]["equipment"]["SecondaryWeapon"]["CAT"] = equip[20]:GetItemInfo():GetCategory();
			end

			if(equip[21] ~= nil)then
				settings["nameAlts"]["alts" .. i]["equipment"]["Shield"]["Q"] = equip[21]:GetItemInfo():GetQualityImageID();
				settings["nameAlts"]["alts" .. i]["equipment"]["Shield"]["B"] = equip[21]:GetItemInfo():GetBackgroundImageID();
				settings["nameAlts"]["alts" .. i]["equipment"]["Shield"]["U"] = equip[21]:GetItemInfo():GetUnderlayImageID();
				settings["nameAlts"]["alts" .. i]["equipment"]["Shield"]["S"] = equip[21]:GetItemInfo():GetShadowImageID();
				settings["nameAlts"]["alts" .. i]["equipment"]["Shield"]["I"] = equip[21]:GetItemInfo():GetIconImageID();
				settings["nameAlts"]["alts" .. i]["equipment"]["Shield"]["N"] = equip[21]:GetItemInfo():GetName();
				settings["nameAlts"]["alts" .. i]["equipment"]["Shield"]["QA"] = equip[21]:GetItemInfo():GetQuality();
				settings["nameAlts"]["alts" .. i]["equipment"]["Shield"]["CAT"] = equip[21]:GetItemInfo():GetCategory();
			end

			if(equip[22] ~= nil)then
				settings["nameAlts"]["alts" .. i]["equipment"]["Shoulder"]["Q"] = equip[22]:GetItemInfo():GetQualityImageID();
				settings["nameAlts"]["alts" .. i]["equipment"]["Shoulder"]["B"] = equip[22]:GetItemInfo():GetBackgroundImageID();
				settings["nameAlts"]["alts" .. i]["equipment"]["Shoulder"]["U"] = equip[22]:GetItemInfo():GetUnderlayImageID();
				settings["nameAlts"]["alts" .. i]["equipment"]["Shoulder"]["S"] = equip[22]:GetItemInfo():GetShadowImageID();
				settings["nameAlts"]["alts" .. i]["equipment"]["Shoulder"]["I"] = equip[22]:GetItemInfo():GetIconImageID();
				settings["nameAlts"]["alts" .. i]["equipment"]["Shoulder"]["N"] = equip[22]:GetItemInfo():GetName();
				settings["nameAlts"]["alts" .. i]["equipment"]["Shoulder"]["QA"] = equip[22]:GetItemInfo():GetQuality();
				settings["nameAlts"]["alts" .. i]["equipment"]["Shoulder"]["CAT"] = equip[22]:GetItemInfo():GetCategory();
			end
		end
	end
end

function SaveBag()
	local player = Turbine.Gameplay.LocalPlayer.GetInstance();
	local playerName = player:GetName();
    local backpack = player:GetBackpack();
	local bagSize = backpack:GetSize();

    local nbrItemInBag = 0;

	for i=1, settings["nameAccount"]["account1"]["nbrAlt"] do
		if(settings["nameAlts"]["alts" .. i]["name"] == playerName)then
			altValue = i;
		end
	end
	
	for i=1, bagSize do
		if(backpack:GetItem(i) ~= nil)then

			nbrItemInBag = nbrItemInBag + 1;

			settings["nameAlts"]["alts" .. altValue]["bag"]["slot" .. i]["Q"] = backpack:GetItem(i):GetItemInfo():GetQualityImageID();
			settings["nameAlts"]["alts" .. altValue]["bag"]["slot" .. i]["B"] = backpack:GetItem(i):GetItemInfo():GetBackgroundImageID();
			settings["nameAlts"]["alts" .. altValue]["bag"]["slot" .. i]["U"] = backpack:GetItem(i):GetItemInfo():GetUnderlayImageID();
			settings["nameAlts"]["alts" .. altValue]["bag"]["slot" .. i]["S"] = backpack:GetItem(i):GetItemInfo():GetShadowImageID();
			settings["nameAlts"]["alts" .. altValue]["bag"]["slot" .. i]["I"] = backpack:GetItem(i):GetItemInfo():GetIconImageID();
			settings["nameAlts"]["alts" .. altValue]["bag"]["slot" .. i]["N"] = backpack:GetItem(i):GetItemInfo():GetName();
			settings["nameAlts"]["alts" .. altValue]["bag"]["slot" .. i]["QA"] = backpack:GetItem(i):GetItemInfo():GetQuality();
			settings["nameAlts"]["alts" .. altValue]["bag"]["slot" .. i]["CAT"] = backpack:GetItem(i):GetItemInfo():GetCategory();
			settings["nameAlts"]["alts" .. altValue]["bag"]["slot" .. i]["QUA"] = backpack:GetItem(i):GetQuantity();

				--[[
				Turbine.Shell.WriteLine("QualityImages : " .. i ..  " = " .. tostring(settings["nameAlts"]["alts" .. altValue]["bag"]["slot" .. i]["Q"]));
				Turbine.Shell.WriteLine("Background : " .. i ..  " = " ..tostring(settings["nameAlts"]["alts" .. altValue]["bag"]["slot" .. i]["B"]));
				Turbine.Shell.WriteLine("Underlay : " .. i ..  " = " ..tostring(settings["nameAlts"]["alts" .. altValue]["bag"]["slot" .. i]["U"]));
				Turbine.Shell.WriteLine("Shadow : " .. i ..  " = " .. tostring(settings["nameAlts"]["alts" .. altValue]["bag"]["slot" .. i]["S"]));
				Turbine.Shell.WriteLine("Icon : " .. i ..  " = " .. tostring(settings["nameAlts"]["alts" .. altValue]["bag"]["slot" .. i]["I"]));
				Turbine.Shell.WriteLine("Name : " .. i ..  " = " .. tostring( settings["nameAlts"]["alts" .. altValue]["bag"]["slot" .. i]["N"]));
				Turbine.Shell.WriteLine("Quality : " .. i ..  " = " .. tostring(settings["nameAlts"]["alts" .. altValue]["bag"]["slot" .. i]["QA"])); 
				Turbine.Shell.WriteLine("Category : " .. i ..  " = " .. tostring(settings["nameAlts"]["alts" .. altValue]["bag"]["slot" .. i]["CAT"]));
				Turbine.Shell.WriteLine("Quantity : " .. i ..  " = " .. tostring(settings["nameAlts"]["alts" .. altValue]["bag"]["slot" .. i]["QUA"]));
				]]--
		else
			settings["nameAlts"]["alts" .. altValue]["bag"]["slot" .. i]["Q"] = 0;
			settings["nameAlts"]["alts" .. altValue]["bag"]["slot" .. i]["B"] = 0;
			settings["nameAlts"]["alts" .. altValue]["bag"]["slot" .. i]["U"] =0;
			settings["nameAlts"]["alts" .. altValue]["bag"]["slot" .. i]["S"] = 0;
			settings["nameAlts"]["alts" .. altValue]["bag"]["slot" .. i]["I"] = 0;
			settings["nameAlts"]["alts" .. altValue]["bag"]["slot" .. i]["N"] = "";
			settings["nameAlts"]["alts" .. altValue]["bag"]["slot" .. i]["QA"] = 0;
			settings["nameAlts"]["alts" .. altValue]["bag"]["slot" .. i]["CAT"] = 0;
			settings["nameAlts"]["alts" .. altValue]["bag"]["slot" .. i]["QUA"] = 0;
		end
	end
end