-- Import Lotro librarys --
import "Turbine";
import "Turbine.UI";
import "Turbine.UI.Lotro";
import "Turbine.UI.Extensions";
import "Turbine.Gameplay";

-- Import Globals --
import "Homeopatix.AltHolic.Globals";

-- Import Utility --
import "Homeopatix.AltHolic.Notification";
import "Homeopatix.AltHolic.LoadAndSave";
import "Homeopatix.AltHolic.MinimizedIcon";
import "Homeopatix.AltHolic.VindarPatch";
import "Homeopatix.AltHolic.FCT";

-- Import initialization --
import "Homeopatix.AltHolic.Init";
import "Homeopatix.AltHolic.Activation";

-- Import Scripts --
import "Homeopatix.AltHolic.Main";

-- Import UI elements --
import "Homeopatix.AltHolic.UI";
import "Homeopatix.AltHolic.UIAddNew";
import "Homeopatix.AltHolic.UIShowEquip";
import "Homeopatix.AltHolic.UIShowBag";

-- Import Commands --
import "Homeopatix.AltHolic.Commands";

CreateLocalizationInfo();

------------------------------------------------------------------------------------------
-- create the main window
------------------------------------------------------------------------------------------
LoadSettings();
CreateMainWindow(300, 300);

UpdateMainWindow();

CreateAddNewWindow();
CreateUIShowBag("");
------------------------------------------------------------------------------------------
-- Closing window handler
------------------------------------------------------------------------------------------
ClosingTheWindow();

------------------------------------------------------------------------------------------
-- handle minimizeIcon
------------------------------------------------------------------------------------------
if(settings["isWindowVisible"]["isWindowVisible"] == true)then
	MainMinimizedIcon = MinimizedIcon(Images.MinimizedIcon, 32, 32, AltHolicWindow:SetVisible(true));
else
	MainMinimizedIcon = MinimizedIcon(Images.MinimizedIcon, 32, 32, AltHolicWindow:SetVisible(false));
end

MainMinimizedIcon:SetPosition(settings["IconPosition"]["xPosIcon"], settings["IconPosition"]["yPosIcon"]);
MainMinimizedIcon:SetZOrder(0);
MainMinimizedIcon.PositionChanged = function()
	settings["IconPosition"]["xPosIcon"] = MainMinimizedIcon:GetLeft();
	settings["IconPosition"]["yPosIcon"] = MainMinimizedIcon:GetTop();
end
